# Lifted from: https://about.gitlab.com/2016/03/10/setting-up-gitlab-ci-for-ios-projects/
# This file assumes an own GitLab CI runner, setup on an OS X system.
stages:
  - build

build_project:
  stage: build
  script:
    - xcodebuild clean -project {XC_TARGET} -scheme {XC_SCHEME} | xcpretty
    - xcodebuild test -project {XC_TARGET} -scheme {XC_SCHEME} -destination 'platform=iOS Simulator,name=iPhone 8,OS=13.0' | xcpretty -s
  tags:
    - ios_9-2
    - xcode_7-2
    - osx_10-11
